# TODO
# - system locale dir
%define		status		stable
%define		pearname	Horde_Browser
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Browser API
Name:		php-horde-Horde_Browser
Version:	1.0.8
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	411b6214a5fe3c7506a9132161eaa775
URL:		https://github.com/horde/horde/tree/master/framework/Browser/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Horde_Browser class provides an API for getting information about
the current user's browser and its capabilities.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Browser.php
%{php_pear_dir}/Horde/Browser
%{php_pear_dir}/data/Horde_Browser
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> cae29f8
- updated to: 1.0.8

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> fd2b9aa
- updated to: 1.0.6

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 3b5e230
- updated to: 1.0.4

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> b195c39
- updated to: 1.0.3

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> b3f3507
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> edb5412
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 444e294
- horde h4 pear packages

